Similar errors from different modules.



  • Hi! I got this error from almost every module that i have installed. From what i can see all the modules have the same thing i common “gnutls_handshake() failed:”. I have no idea whats causing this so it would be really nice with some help.

    0|mm       |
    0|mm       | fatal: unable to access 'https://github.com/MichMich/mmm-systemtemperature.git/': gnutls_handshake() failed: Error in the pull function.
    0|mm       |
    0|mm       | fatal: unable to access 'https://github.com/fmandal/MMM-YrThen/': gnutls_handshake() failed: Error in the pull function.
    0|mm       |
    0|mm       | fatal: unable to access 'https://github.com/MichMich/MMM-WatchDog.git/': gnutls_handshake() failed: The TLS connection was non-properly terminated.
    0|mm       |
    0|mm       | fatal: unable to access 'https://github.com/eouia/MMM-Remote-Control-Repository/': gnutls_handshake() failed: The TLS connection was non-properly terminated.
    0|mm       |
    0|mm       | fatal: unable to access 'https://github.com/rejas/MMM-MotionDetector.git/': gnutls_handshake() failed: The TLS connection was non-properly terminated.
    0|mm       |
    0|mm       | fatal: unable to access 'https://github.com/Jopyth/MMM-Remote-Control.git/': gnutls_handshake() failed: The TLS connection was non-properly terminated.
    0|mm       |
    0|mm       | fatal: unable to access 'https://github.com/jclarke0000/MMM-MyCalendar.git/': gnutls_handshake() failed: Error in the pull function.
    
    


  • The mirror rebooted after a timeout and gave more errors that i don’t understand.

    0|mm  | (node:12615) [DEP0025] DeprecationWarning: sys is deprecated. Use util instead.
    0|mm  | MMM-MotionDetector: monitor display_power=1
    0|mm  | MMM-MotionDetector: monitor on true
    0|mm  | Launching application.
    0|mm  | libGL error: MESA-LOADER: failed to retrieve device information
    0|mm  | fatal: No remote repository specified.  Please, specify either a URL or a
    0|mm  | remote name from which new revisions should be fetched.
    0|mm  | MESA-LOADER: failed to retrieve device information
    0|mm  | MESA-LOADER: failed to retrieve device information
    
    
    


  • The error still occurs and i have not a single clue why… Have anyone else got any of these errors?



  • I get these errors when Magic Mirror is starting up:
    0|mm | Sockets connected & modules started …
    0|mm | Launching application.
    0|mm | fatal: No remote repository specified. Please, specify either a URL or a
    0|mm | remote name from which new revisions should be fetched.
    0|mm | fatal: No remote repository specified. Please, specify either a URL or a
    0|mm | remote name from which new revisions should be fetched.
    0|mm | error: cannot open .git/FETCH_HEAD: Permission denied

    Not sure which module is causing it.

    I may be MMM-Remote-Control but not sure why.

    Any help
    Thanks,
    Larry



  • @ve3mtg remove the default/updatenotifications module from config.js



  • @sdetweil Thanks